#
# spec file for package nagios-plugins-printer
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           nagios-plugins-printer
%define         realname check_printer
Summary:        Generic check for printers supporting SNMP Printer MIB
Version:        0.14
Release:        2.55
Url:            http://www.nagiosexchange.org/cgi-bin/page.cgi?g=1955.html;d=1
License:        GPL
Group:          System/Monitoring
Source:         %realname.tar.bz2
Patch1:         nagios-plugins-printer-config.patch
Patch2:         nagios-plugins-printer-destdir.patch
Requires:       nagios-plugins
# for the directory ownership:
BuildRequires:  nagios-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         libexecdir %_prefix/lib/nagios/plugins
%define         nsusr nagios
%define         cmdgrp nagios

%description
This Nagios plugin queries prtAlertTable from the Printer MIB.

It honors only prtAlertTrainingLevel = trained(4) or
fieldService(5),prtAlertTrainingLevel = other(1),unknown(2),untrained(3) and
management(6) are ignored.

For prtAlertSeverityLevel = warning(4) the plugin result is "WARNING", for
critical(3) the plugin result is "CRITICAL", obviously, for
warningBinaryChangeEvent(5) (new in RFC3805) the state is by default "WARNING",
but there is a hardcoded table of change events, which result in state
"CRITICAL".


Author:
-------
    csc@fes-aes.de


%prep
%setup -q -n %realname
%patch1 -p0
%patch2 -p0

%build
make %{?jobs:-j%jobs}

%install
mkdir -p %{buildroot}/%{libexecdir}
%makeinstall DESTDIR="%buildroot"
strip %{buildroot}/%{libexecdir}/*

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%dir %_prefix/lib/nagios
%dir %{libexecdir}
%libexecdir/*

%changelog
* Sat Sep 13 2008 lars@linux-schulserver.de
- initial version 1.4
